Last Comment Bug 759948 - libstagefright based media playback doesn't receive ended event when complete on B2G
: libstagefright based media playback doesn't receive ended event when complete...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla15
Assigned To: cajbir (:cajbir)
:
: Maire Reavy [:mreavy]
Mentors:
Depends on: 714408
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 16:57 PDT by cajbir (:cajbir)
Modified: 2012-07-24 13:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
?
+


Attachments
Mark audio/video streams as finished on eos (4.27 KB, patch)
2012-05-30 20:40 PDT, cajbir (:cajbir)
edwin.bugs: review+
Details | Diff | Splinter Review

Description cajbir (:cajbir) 2012-05-30 16:57:03 PDT
When playing an H.264 video with bug 714408 applied the video does not end correctly once playback is complete. The controls continue to show the paused graphic and the video cannot be restarted by toggling pause/play.

Steps to reproduce:

1. Go to http://cd.pn/b2 in the B2G browser
2. Press Play
3. Wait for video to end (3:02 on the timeline)

What happens:

Video display shows a black frame. Controls show the "Pause" button. Toggling the button does nothing.

What should happen:

Controls show the "Play" button. Pressing restarts the video.
Comment 1 cajbir (:cajbir) 2012-05-30 20:40:47 PDT
Created attachment 628590 [details] [diff] [review]
Mark audio/video streams as finished on eos

Mark the audio and video streams as finished in the plugin reader when the plugin reports the stream as complete. Tidy up the audio reading code in omx plugin to make this clearer.
Comment 3 Ed Morley [:emorley] 2012-06-01 08:08:33 PDT
https://hg.mozilla.org/mozilla-central/rev/85d7a53151ea

Note You need to log in before you can comment on or make changes to this bug.